#include "listIOint.hh"

// Para probarlo, podeis compilar con la instruccion:
// p2++ -o suma_k.exe suma_k.cc listIOint.cc

// También prodeis compilar con la instruccion
// make


void suma_k(list<int> &p, int k) {
/* Pre: p = P  */
/* Post: Cada elemento de p es la suma de k y 
el elemento que en P ocupa la misma posición. */
  list<int>::iterator it = p.begin();
  /* Inv: Cada elemento de p desde el inicio 
  hasta la posición anterior a la que apunta 
  it es la suma de k y el elemento correspondiente 
  de P. P y p son iguales desde la posición a la 
  que apunta it hasta el final. */
  while (it != p.end()) {
     *it += k;
     ++it;
  } 
}


int main() {
  list<int> s; 
  lee(s); 
  cout << endl << "La lista original es" << endl;
  esc(s);  
  int x; 
  cin >> x; 
  suma_k(s,x);
  cout << endl << "La lista despues de sumar " << x << 
    " es" << endl; 
  esc(s);  
}
