#include <iostream>
#include <vector>
using namespace std;


void lee(vector<int>& v) {
  int n;
  cin >> n;
  v = vector<int>(n);
  for (int i = 0; i < n; ++i) cin >> v[i];
}

int suma(const vector<int>& p) {
/* Pre: cierto  */
/* Post: devuelve la suma de los elementos 
   de p */
  int s = 0; 
  vector<int>::const_iterator it = p.begin();
  /* Inv: s es la suma de los elementos de p en posiciones múltiplos de 3 
  anteriores al elemento al que apunta it. */
  while (it != p.end()) {
     s += *it;
     it += 3;
  }
  return s; 
}


int main() {
  vector<int> s; 
  lee(s); 

  cout << endl << "La suma es " << suma(s) << endl; 
}
