#include "listIOint.hh"


bool cerca_i(const list<int>& c, int x) {
  /* Pre: cierto */
  /* Post: El resultado indica si x es un 
           elemento de c o no */
  bool r = false;
  list<int>::const_iterator it = c.begin();
/* Inv: r <-> x está en la sublista comprendida
   entre c.begin() y el elemento anterior al 
   elemento al que apunta it. */ 
  while (not r and it != c.end()) {
    r = (*it == x); 
    ++it;
  } 
  return r;
}


int main() {
  list<int> s; 
  lee(s); 
  cout << endl << "La lista original es" << endl;
  esc(s);  
  int x; 
  cin >> x; 
  if (not cerca_i(s,x)) cout << endl << x << " no"; 
  cout << " encontrado" << endl; 
}
