#include "listIOint.hh"


bool cerca_r(const list<int> &s, int x, 
     list<int>::const_iterator& it) {
/* Pre: it apunta a s.end() o a un elemento 
   de s.  */
/* Post: El resultado indica si x es un 
   elemento de la sublista comprendida entre 
   it y s.end(). */
  bool r; 
  if (it == s.end()) r = false; 
  else if (*it == x) r = true; 
  else {
    ++it;
    r = cerca_r(s,x,it);
    /* HI: r indica si x es un elemento de la 
  sublista comprendida entre it y s.end(). */
  } 
  return r;
}


int main() {
  list<int> s; 
  lee(s); 
  cout << endl << "La lista original es" << endl;
  esc(s);  
  int x; 
  cin >> x;
  list<int>::const_iterator iterador = s.begin();
  if (not cerca_r(s,x,iterador)) cout << endl << x << " no";
  cout << " encontrado" << endl; 
}
