#include "listIOint.hh"

// Para probarlo, podeis compilar con la instrucción:
// p2++ -o suma.exe suma.cc listIOint.cc


int suma(const list<int>& p) {
/* Pre: cierto  */
/* Post: devuelve la suma de los elementos 
   de p */
  int s = 0; 
  list<int>::const_iterator it = p.begin();
  /* Inv: s es la suma de los elementos de p 
  anteriores al elemento al que apunta it. */
  while (it != p.end()) {
     s += *it;
     ++it;
  }
  return s; 
}


int main() {
  list<int> s; 
  lee(s); 
  cout << endl << "La lista original es" << endl;
  esc(s);  
  cout << endl << "La suma es " << suma(s) << endl; 
}
